MOVERLAPS(1)

NAME
mOverlaps - Re-project and mosaic your images, with background rectification

SYNOPSIS
mOverlaps [-e] [-d level] [-s statusfile] images.tbl diffs.tbl

DESCRIPTION
Analyze an image metadata table to determine a list of overlapping images. Each image is compared with every other image to determine all overlapping image pairs. A pair of images are deemed to overlap if any pixel around the perimeter of one image falls within the boundary of the other image.

OPTIONS

-e  Enables 'exact' overlaps mode, as opposed to the default approximate algorithm. The default mode uses great-circle connecting lines between image corners to determine which images overlap. Exact mode will instead check the edge pixels of every image to determine which pixels are inside the others. Although the default mode will occasionally report some incorrect overlaps, this is not a concern since mDiff will detect and ignore these false positive results when processing the table.

-d level
    Turns on debugging to the specified level (1 or 2)

-s statusfile
    Output and errors are sent to statusfile instead of to stdout

ARGUMENTS

images.tbl
    Table of image metadata generated by mImgtbl.

diffs.tbl
    Path of output table to be generated containing overlap information.

RESULT
Output table contains overlap information for each pair of overlapping images. The first two columns are integer identifiers for the images from images.tbl; the second two give their filenames, and the final column shows the filename of the FITS file that will be generated using mDiffExec.

MESSAGES

OK  [struct stat="OK", countnum-overlaps]

ERROR
    Cannot open status file: statusfile

ERROR
    Failed to open output filename

ERROR
    Invalid image metadata file: filename

ERROR
    Not enough information to determine coverages (CDELTs or CD matrix)

ERROR
    Need columns: cntr ctype1 ctype2 nl ns crval1 crval2 crpix1 crpix2 cdelt1 cdelt2 crota2 fname (equinox optional)

ERROR
    Bad WCS for image n

EXAMPLES

The following example looks at a list of 16 images, described in images.tbl, and calculates which images overlap:

$ mOverlaps images.tbl diffs.tbl
    [struct stat="OK", count=42]

Output file: diffs.tbl.

BUGS
The drizzle algorithm has been implemented but has not been tested in this release.

If a header template contains carriage returns (i.e., created/modified on a Windows machine), the cfitsio library will be unable to read it properly, resulting in the error: [struct stat="ERROR", status=207, msg="illegal character in keyword"]

It is best for the background correction algorithms if the area described in the header template completely encloses all of the input images in their entirety. If parts of input images are "chopped off" by the header template, the background correction will be affected. We recommend you use an expanded header for the reprojection and background modeling steps, returning to the originally desired header size for the final coaddition. The default background matching assumes that there are no non-linear background variations in the individual images (and therefore in the overlap differences). If there is any uncertainty in this regard, it is safer to turn on the "level only" background matching (the "-l" flag in mBgModel.

mOverlaps generates a list of images whose outer boundaries overlap. This does not guarantee that any image pixels within those images actually overlap; the overlap regions may only contain blank pixels, especially in images that have been rotated a significant amount.

This eventually will result in a number of images showing up as "failed" when running subsequent programs like mDiffExec, but this will not have any effect on the final mosaic.

COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California

If your research uses Montage, please include the following acknowledgement: "This research made use of Montage. It is funded by the National Science Foundation under Grant Number ACI-1440620, and was previously funded by the National Aeronautics and Space Administration's Earth Science Technology Office, Computation Technologies Project, under Cooperative Agreement Number NCC5-626 between NASA and the California Institute of Technology."

The Montage distribution includes an adaptation of the MOPEX algorithm developed at the Spitzer Science Center.